var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { DFComponents } from '../components';
import { BaseComponent } from '../base';
import { ODataTableComponent } from 'ontimize-web-ngx-datatable';
var DataTableComponent = (function (_super) {
    __extends(DataTableComponent, _super);
    function DataTableComponent(settings, data) {
        return _super.call(this, settings, data) || this;
    }
    DataTableComponent.prototype.getInputsProperties = function () {
        return [
            'oattr: attr',
            'title',
            'cssClass: css-class',
            'ovisible: visible',
            'oenabled: enabled',
            'controls',
            'service',
            'entity',
            'queryMethod: query-method',
            'paginatedQueryMethod : paginated-query-method',
            'deleteMethod: delete-method',
            'queryOnInit: query-on-init',
            'queryOnBind: query-on-bind',
            'pageable',
            'columns',
            'keys',
            'parentKeys: parent-keys',
            'staticData: static-data',
            'detailMode: detail-mode',
            'detailFormRoute: detail-form-route',
            'recursiveDetail: recursive-detail',
            'detailButtonInRow: detail-button-in-row',
            'detailButtonInRowIcon: detail-button-in-row-icon',
            'editFormRoute: edit-form-route',
            'recursiveEdit: recursive-edit',
            'editButtonInRow: edit-button-in-row',
            'editButtonInRowIcon: edit-button-in-row-icon',
            'queryRows: query-rows',
            'insertButton: insert-button',
            'rowHeight : row-height',
            'serviceType : service-type',
            'insertMethod: insert-method',
            'updateMethod: update-method',
            'visibleColumns: visible-columns',
            'editableColumns: editable-columns',
            'editOnFocus: edit-on-focus',
            'sortColumns: sort-columns',
            'quickFilter: quick-filter',
            'deleteButton: delete-button',
            'refreshButton: refresh-button',
            'columnsVisibilityButton: columns-visibility-button',
            'columnsResizeButton: columns-resize-button',
            'columnsGroupButton: columns-group-button',
            'exportButton: export-button',
            'insertTable: insert-table',
            'editionMode: edition-mode',
            'showTableButtonsText: show-table-buttons-text',
            'selectAllCheckbox: select-all-checkbox',
            'singlePageMode : single-page-mode',
            'paginationControls : pagination-controls'
        ];
    };
    DataTableComponent.prototype.getOntimizeComponentClass = function () {
        return ODataTableComponent;
    };
    return DataTableComponent;
}(BaseComponent));
export { DataTableComponent };
export function OdfODataTable(template) {
    DFComponents.register('o-datatable', DataTableComponent, template.components['o-datatable']);
}
//# sourceMappingURL=o-datatable.js.map